--Vars
inTargetZone = false
enterEnemyTerritory = false
alliedAirSpace = false
firstTakeOff = false
factoryDestroyed = false
baseMarkerTrigger = false

Player = GROUP:FindByName("Springfield 1")

Player:HandleEvent(EVENTS.Birth)
function Player:OnEventBirth()
  SCHEDULER:New( nil,
    function()  
      TheFrat.PlaySoundTAll("TheFraternityIntro.ogg")
      MESSAGE:New("Welcome to The Fraternity",8):ToAll()
    end, {},3)
end

Player:HandleEvent(EVENTS.Takeoff)
function Player:OnEventTakeoff(EventData)

  FirstTakeOffCheck = SCHEDULER:New( nil,
  function()  
    if firstTakeOff == false then
      firstTakeOff = true
      --audio file: AWACS_Intro
      TheFrat.DarkstarBroadcast("Springfield 01\nDarkstar\nWe now have you on radar\nProceed to Steer Point 2 at Angles 2,0","AWACS_Intro.ogg",15)
    end
  end, {},30)
  
end

Player:HandleEvent(EVENTS.Land)
function Player:OnEventLand(EventData)
  if factoryDestroyed == true then
      SCHEDULER:New( nil,
      function()  
        TheFrat.PlaySoundTAll("info.ogg")
        MESSAGE:New("Factory has been completely destroyed! Excellent Work!",20,"Mission Successful"):ToAll()
        
            SCHEDULER:New( nil,
              function()  
                MESSAGE:New("Visit us at TheFraternitySim.Com\nFor Additional Missions.",30):ToAll()
              end, {},25)
        
      end, {},30)
  end
end


--Zones
TargetZone = ZONE:New("Target Zone")
EnemyTerritoryZone = ZONE:New("Enemy Airspace")
BaseMarker_1 = ZONE:New("BaseMarker_1")
alliedAirSpaceZone = ZONE:New("AlliedAirSpace")

--Spawns
Mig23Spawn = SPAWN:New('Mig-23MLD')

EnemyTerritoryCheck = SCHEDULER:New( nil,
  function()  
    if Player:IsCompletelyInZone(EnemyTerritoryZone) and enterEnemyTerritory == false then
      enterEnemyTerritory = true
      --Filenanme: EnemyTerritory
      TheFrat.DarkstarBroadcast("Springfield 01\nDarkstar\nIts all clear to your ingress steerpoint.\nBut be advised, you are now entering enemy territory.","EnemyTerritory.ogg",15)
    end
  end, {},1,1)
  
AlliedAirSpaceCheck = SCHEDULER:New( nil,
  function()  
    if Player:IsCompletelyInZone(alliedAirSpaceZone) and alliedAirSpace == false then
      alliedAirSpace = true
      --Filename: AlliedAirspace
      TheFrat.DarkstarBroadcast("Springfield 01\nDarkstar\nYou are now in allied airspace.\nContact Tower.","AlliedAirspace.ogg",15)
    end
  end, {},1,1)

TargetZoneCheck = SCHEDULER:New( nil,
  function()  
    if Player:IsCompletelyInZone(TargetZone) and inTargetZone == false then
      inTargetZone = true
      TheFrat.EnemyMigs()
    end
  end, {},1,1)
 
BaseMarkerCheck = SCHEDULER:New( nil,
  function()  
    if baseMarkerTrigger == false and Player:IsCompletelyInZone(BaseMarker_1) then
       baseMarkerTrigger = true
        SCHEDULER:New( nil,
          function()  
            TheFrat.PlaySoundTAll("info.ogg")
            MESSAGE:New("++ Darkstar AWACS 251 Mhz AM ++",15):ToAll()
          end, {},5)
    end
  end, {},1,1)
  
  
TheFactory = STATIC:FindByName("Factory")
TheFactory:HandleEvent(EVENTS.Dead)
function TheFactory:OnEventDead(EventData)
  SCHEDULER:New( nil,
  function()  
    if factoryDestroyed == false then
      factoryDestroyed = true
      TheFrat.PlaySoundTAll("info.ogg")
      MESSAGE:New("++ Factory Destroyed! ++",10):ToAll()
    end
  end, {},5)
end
  
do --Functions
  TheFrat={}
  function TheFrat.PlaySoundTAll(soundfile)
    local PlayToAll = USERSOUND:New( soundfile )
    PlayToAll:ToAll()
  end
  
  function TheFrat.DarkstarBroadcast(message,sound,displayTime)
    local Darkstar = UNIT:FindByName("Darkstar")
    local DarkstarRadio = Darkstar:GetRadio()  
    DarkstarRadio:SetFileName(sound)
    DarkstarRadio:SetFrequency(251)
    DarkstarRadio:SetModulation(radio.modulation.AM)
    DarkstarRadio:SetSubtitle(message, displayTime)
    DarkstarRadio:SetLoop(false)
    DarkstarRadio:Broadcast()
  end
  
  function TheFrat.EnemyMigs()
     Mig23Spawn:Spawn()
     EnemyMigs = GROUP:FindByName("Mig-23MLD#001")
     Mig23_1 = UNIT:FindByName("Mig-23MLD#001-01")
     Mig23_2 = UNIT:FindByName("Mig-23MLD#001-02")
     
     Mig23_1:HandleEvent(EVENTS.Takeoff)
     function Mig23_1:OnEventTakeoff(EventData)
     --Filename: Contacts
      TheFrat.DarkstarBroadcast("Springfield 01\nDarkstar\nBe advised contact on Radar.\nCorrection.\nWe have 2 Contacts on radar leaving Kutaisi.\nCurrently Tracking.","Contacts.ogg",15)
     end
     
     Mig23_1:HandleEvent(EVENTS.Dead)
     function Mig23_1:OnEventDead(EventData)
      SCHEDULER:New( nil,
        function()  
          TheFrat.DarkstarBroadcast("Splash Mig!","radioscratch.ogg",15)
        end, {},2)
     end
     
     Mig23_2:HandleEvent(EVENTS.Dead)
     function Mig23_2:OnEventDead(EventData)
      SCHEDULER:New( nil,
        function()  
          TheFrat.DarkstarBroadcast("Mig Down!","radioscratch.ogg",15) 
        end, {},2)
     end
     
  end
  
  function TheFrat.EnemyMigsWarning()
  --Filename: Contacts2
    TheFrat.DarkstarBroadcast("Springfield 01\nDarkstar\nContact Group - Type 23 x 2\nBoth Hostile\nIncoming towards your egress path.","Contacts2.ogg",15)
  end
  
end    